Skip to content

Add tag to a contact

Request

You can tag a specific contact. This will return a tag object for the tag that was added to the contact.

Security
bearerAuth
Path
contact_idstringrequired

The unique identifier for the contact which is given by Intercom

Example:63a07ddf05a32042dffac965
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
Bodyapplication/json
idstringrequired

The unique identifier for the tag which is given by Intercom

Example:"7522907"
curl -i -X POST \
  https://api.intercom.io/contacts/63a07ddf05a32042dffac965/tags \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.9' \
  -d '{
    "id": 84
  }'

Responses

successful

Bodyapplication/json
typestring

value is "tag"

Example:"tag"
idstring

The id of the tag

Example:"123456"
namestring

The name of the tag

Example:"Test tag"
applied_atinteger or null, (date-time)

The time when the tag was applied to the object. Only present when the tag is returned as part of a tagging operation on a contact, conversation, or ticket.

Example:1663597223
applied_byobject or null(Reference)

The admin who applied the tag. Only present when the tag is returned as part of a tagging operation on a contact, conversation, or ticket.

Response
{ "type": "tag", "id": "84", "name": "Manual tag", "applied_at": 1663597223, "applied_by": { "type": "admin", "id": "456" } }